Page MenuHomeFreeBSD

Upate multimedia/kmplayer to use kf5
ClosedPublic

Authored by tcberner on Dec 22 2018, 8:52 PM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tcberner created this revision.Dec 22 2018, 8:52 PM
linimon retitled this revision from Upate kmplayer to use kf5 to Upate multimedia/kmplayer to use kf5.Dec 23 2018, 7:37 AM
mat added inline comments.Dec 24 2018, 11:39 AM
multimedia/kmplayer/Makefile
5 ↗(On Diff #52248)

There is a 0.12.0 tag available, why use a beta version?

adridg added a subscriber: adridg.Dec 24 2018, 12:14 PM
adridg added inline comments.
multimedia/kmplayer/Makefile
5 ↗(On Diff #52248)

kpmplayer upstream git has the 0.12.0 tag on master 2016-06-02 and the 0.12.0b tag on master 2016-09-24 (with commit message "bump version to 0.12.0b"). In this case it's not a beta -- or rather, 0.12.0 was not a final release.

This should probably be PORTVERSION then, with some trickery.

mat added inline comments.Dec 24 2018, 1:20 PM
multimedia/kmplayer/Makefile
5 ↗(On Diff #52248)

Then it should be PORTVERSION, yes. Without any trickery.

This revision was not accepted when it landed; it landed in state Needs Review.Dec 30 2018, 11:45 AM
This revision was automatically updated to reflect the committed changes.